Package org.eclipse.graphiti.mm.algorithms.impl

## Class AbstractTextImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.graphiti.mm.impl.PropertyContainerImpl
        - - org.eclipse.graphiti.mm.impl.GraphicsAlgorithmContainerImpl
          - - org.eclipse.graphiti.mm.algorithms.impl.GraphicsAlgorithmImpl
            - - org.eclipse.graphiti.mm.algorithms.impl.AbstractTextImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `AbstractText`, `GraphicsAlgorithm`, `AbstractStyle`, `GraphicsAlgorithmContainer`, `PropertyContainer`

Direct Known Subclasses:
  `MultiTextImpl`, `TextImpl`

    public abstract class AbstractTextImpl
    extends GraphicsAlgorithmImpl
    implements AbstractText

An implementation of the model object 'Abstract Text'.

The following features are implemented:

- `Font`
- `Horizontal Alignment`
- `Vertical Alignment`
- `Angle`
- `Value`
- `Style Regions`
- `Rotation`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected java.lang.Integer` `angle` The cached value of the '`Angle`' attribute.
`protected static java.lang.Integer` `ANGLE_EDEFAULT` The default value of the '`Angle`' attribute.
`protected Font` `font` The cached value of the '`Font`' reference.
`protected static Orientation` `HORIZONTAL_ALIGNMENT_EDEFAULT` The default value of the '`Horizontal Alignment`' attribute.
`protected Orientation` `horizontalAlignment` The cached value of the '`Horizontal Alignment`' attribute.
`protected java.lang.Double` `rotation` The cached value of the '`Rotation`' attribute.
`protected static java.lang.Double` `ROTATION_EDEFAULT` The default value of the '`Rotation`' attribute.
`protected org.eclipse.emf.common.util.EList<TextStyleRegion>` `styleRegions` The cached value of the '`Style Regions`' containment reference list.
`protected java.lang.String` `value` The cached value of the '`Value`' attribute.
`protected static java.lang.String` `VALUE_EDEFAULT` The default value of the '`Value`' attribute.
`protected static Orientation` `VERTICAL_ALIGNMENT_EDEFAULT` The default value of the '`Vertical Alignment`' attribute.
`protected Orientation` `verticalAlignment` The cached value of the '`Vertical Alignment`' attribute.

### Fields inherited from class org.eclipse.graphiti.mm.algorithms.impl.GraphicsAlgorithmImpl

`background, filled, FILLED_EDEFAULT, filledESet, foreground, graphicsAlgorithmChildren, height, HEIGHT_EDEFAULT, LINE_STYLE_EDEFAULT, LINE_VISIBLE_EDEFAULT, LINE_WIDTH_EDEFAULT, lineStyle, lineVisible, lineVisibleESet, lineWidth, renderingStyle, style, transparency, TRANSPARENCY_EDEFAULT, width, WIDTH_EDEFAULT, x, X_EDEFAULT, y, Y_EDEFAULT`

### Fields inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`properties`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `AbstractTextImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Font` `basicGetFont()`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset​(int featureID)`
`java.lang.Integer` `getAngle()`
`Font` `getFont()`
`Orientation` `getHorizontalAlignment()`
`java.lang.Double` `getRotation()`
`org.eclipse.emf.common.util.EList<TextStyleRegion>` `getStyleRegions()`
`java.lang.String` `getValue()`
`Orientation` `getVerticalAlignment()`
`void` `setAngle​(java.lang.Integer newAngle)`
`void` `setFont​(Font newFont)`
`void` `setHorizontalAlignment​(Orientation newHorizontalAlignment)`
`void` `setRotation​(java.lang.Double newRotation)`
`void` `setValue​(java.lang.String newValue)`
`void` `setVerticalAlignment​(Orientation newVerticalAlignment)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.graphiti.mm.algorithms.impl.GraphicsAlgorithmImpl

`basicGetBackground, basicGetForeground, basicGetParentGraphicsAlgorithm, basicGetPictogramElement, basicGetRenderingStyle, basicGetStyle, basicSetParentGraphicsAlgorithm, basicSetPictogramElement, basicSetRenderingStyle, eBaseStructuralFeatureID, eBasicRemoveFromContainerFeature, eDerivedStructuralFeatureID, eInverseAdd, getBackground, getFilled, getForeground, getGraphicsAlgorithmChildren, getHeight, getLineStyle, getLineVisible, getLineWidth, getParentGraphicsAlgorithm, getPictogramElement, getRenderingStyle, getStyle, getTransparency, getWidth, getX, getY, isSetFilled, isSetLineVisible, setBackground, setFilled, setForeground, setHeight, setLineStyle, setLineVisible, setLineWidth, setParentGraphicsAlgorithm, setPictogramElement, setRenderingStyle, setStyle, setTransparency, setWidth, setX, setY, unsetFilled, unsetLineVisible`

### Methods inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`getProperties`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.styles.AbstractStyle

`getBackground, getFilled, getForeground, getLineStyle, getLineVisible, getLineWidth, getRenderingStyle, getTransparency, isSetFilled, isSetLineVisible, setBackground, setFilled, setForeground, setLineStyle, setLineVisible, setLineWidth, setRenderingStyle, setTransparency, unsetFilled, unsetLineVisible`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.GraphicsAlgorithm

`getGraphicsAlgorithmChildren, getHeight, getParentGraphicsAlgorithm, getPictogramElement, getStyle, getWidth, getX, getY, setHeight, setParentGraphicsAlgorithm, setPictogramElement, setStyle, setWidth, setX, setY`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Field Detail

#### font

    protected Font font

The cached value of the '`Font`' reference.

See Also:
  `getFont()`

#### HORIZONTAL_ALIGNMENT_EDEFAULT

    protected static final Orientation HORIZONTAL_ALIGNMENT_EDEFAULT

The default value of the '`Horizontal Alignment`' attribute.

See Also:
  `getHorizontalAlignment()`

#### horizontalAlignment

    protected Orientation horizontalAlignment

The cached value of the '`Horizontal Alignment`' attribute.

See Also:
  `getHorizontalAlignment()`

#### VERTICAL_ALIGNMENT_EDEFAULT

    protected static final Orientation VERTICAL_ALIGNMENT_EDEFAULT

The default value of the '`Vertical Alignment`' attribute.

See Also:
  `getVerticalAlignment()`

#### verticalAlignment

    protected Orientation verticalAlignment

The cached value of the '`Vertical Alignment`' attribute.

See Also:
  `getVerticalAlignment()`

#### ANGLE_EDEFAULT

    protected static final java.lang.Integer ANGLE_EDEFAULT

The default value of the '`Angle`' attribute.

See Also:
  `getAngle()`

#### angle

    protected java.lang.Integer angle

The cached value of the '`Angle`' attribute.

See Also:
  `getAngle()`

#### VALUE_EDEFAULT

    protected static final java.lang.String VALUE_EDEFAULT

The default value of the '`Value`' attribute.

See Also:
  `getValue()`

#### value

    protected java.lang.String value

The cached value of the '`Value`' attribute.

See Also:
  `getValue()`

#### styleRegions

    protected org.eclipse.emf.common.util.EList<TextStyleRegion> styleRegions

The cached value of the '`Style Regions`' containment reference list.

See Also:
  `getStyleRegions()`

#### ROTATION_EDEFAULT

    protected static final java.lang.Double ROTATION_EDEFAULT

The default value of the '`Rotation`' attribute.

See Also:
  `getRotation()`

#### rotation

    protected java.lang.Double rotation

The cached value of the '`Rotation`' attribute.

See Also:
  `getRotation()`

### Constructor Detail

#### AbstractTextImpl

    protected AbstractTextImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `GraphicsAlgorithmImpl`

#### getFont

    public Font getFont()

Specified by:
  `getFont` in interface `AbstractText`
Returns:
  the value of the 'Font' reference.
See Also:
  `AbstractText.setFont(Font)`, `AlgorithmsPackage.getAbstractText_Font()`

#### basicGetFont

    public Font basicGetFont()

#### setFont

    public void setFont​(Font newFont)

Specified by:
  `setFont` in interface `AbstractText`
Parameters:
  `newFont` - the new value of the 'Font' reference.
See Also:
  `AbstractText.getFont()`

#### getHorizontalAlignment

    public Orientation getHorizontalAlignment()

Specified by:
  `getHorizontalAlignment` in interface `AbstractText`
Returns:
  the value of the 'Horizontal Alignment' attribute.
See Also:
  `Orientation`, `AbstractText.setHorizontalAlignment(Orientation)`, `AlgorithmsPackage.getAbstractText_HorizontalAlignment()`

#### setHorizontalAlignment

    public void setHorizontalAlignment​(Orientation newHorizontalAlignment)

Specified by:
  `setHorizontalAlignment` in interface `AbstractText`
Parameters:
  `newHorizontalAlignment` - the new value of the 'Horizontal Alignment' attribute.
See Also:
  `Orientation`, `AbstractText.getHorizontalAlignment()`

#### getVerticalAlignment

    public Orientation getVerticalAlignment()

Specified by:
  `getVerticalAlignment` in interface `AbstractText`
Returns:
  the value of the 'Vertical Alignment' attribute.
See Also:
  `Orientation`, `AbstractText.setVerticalAlignment(Orientation)`, `AlgorithmsPackage.getAbstractText_VerticalAlignment()`

#### setVerticalAlignment

    public void setVerticalAlignment​(Orientation newVerticalAlignment)

Specified by:
  `setVerticalAlignment` in interface `AbstractText`
Parameters:
  `newVerticalAlignment` - the new value of the 'Vertical Alignment' attribute.
See Also:
  `Orientation`, `AbstractText.getVerticalAlignment()`

#### getAngle

    public java.lang.Integer getAngle()

Specified by:
  `getAngle` in interface `AbstractText`
Returns:
  the value of the 'Angle' attribute.
See Also:
  `AbstractText.getRotation()`, `AbstractText.setAngle(Integer)`, `AlgorithmsPackage.getAbstractText_Angle()`

#### setAngle

    public void setAngle​(java.lang.Integer newAngle)

Specified by:
  `setAngle` in interface `AbstractText`
Parameters:
  `newAngle` - the new value of the 'Angle' attribute.
See Also:
  `AbstractText.setRotation(Double)`, `AbstractText.getAngle()`

#### getValue

    public java.lang.String getValue()

Specified by:
  `getValue` in interface `AbstractText`
Returns:
  the value of the 'Value' attribute.
See Also:
  `AbstractText.setValue(String)`, `AlgorithmsPackage.getAbstractText_Value()`

#### setValue

    public void setValue​(java.lang.String newValue)

Specified by:
  `setValue` in interface `AbstractText`
Parameters:
  `newValue` - the new value of the 'Value' attribute.
See Also:
  `AbstractText.getValue()`

#### getStyleRegions

    public org.eclipse.emf.common.util.EList<TextStyleRegion> getStyleRegions()

Specified by:
  `getStyleRegions` in interface `AbstractText`
Returns:
  the value of the 'Style Regions' containment reference list.
See Also:
  `AlgorithmsPackage.getAbstractText_StyleRegions()`

#### getRotation

    public java.lang.Double getRotation()

Specified by:
  `getRotation` in interface `AbstractText`
Returns:
  the value of the 'Rotation' attribute.
See Also:
  `AbstractText.setRotation(Double)`, `AlgorithmsPackage.getAbstractText_Rotation()`

#### setRotation

    public void setRotation​(java.lang.Double newRotation)

Specified by:
  `setRotation` in interface `AbstractText`
Parameters:
  `newRotation` - the new value of the 'Rotation' attribute.
See Also:
  `AbstractText.getRotation()`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `GraphicsAlgorithmImpl`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `GraphicsAlgorithmImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `GraphicsAlgorithmImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `GraphicsAlgorithmImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `GraphicsAlgorithmImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `GraphicsAlgorithmImpl`